package com.yeejoin.amos.boot.module.hygf.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description:
 * @author: tw
 * @createDate: 2023/8/1
 */
@Getter
@AllArgsConstructor
public enum DealerReviewEnum {


    经销商确认("经销商确认", "jxs_02"),
    经销商管理员审核("经销商管理员审核", "jxs_03");


    /**
     * 名称，描述
     */
    private String name;
    /**
     * 编码
     */
    private String code;

    public static DealerReviewEnum getNodeByCode(String code) {
        DealerReviewEnum dealerReviewEnum = null;
        for(DealerReviewEnum type: DealerReviewEnum.values()) {
            if (type.getCode().equals(code)) {
                dealerReviewEnum = type;
                break;
            }
        }
        return dealerReviewEnum;
    }



}
